<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wcs/wcs/dt_dispatchmanagement.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wcs/wcs/dt_dispatchmanagement.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'dm_id',
            footer: "Foots",
            cnName: '调度管理',
            name: 'wcs/dt_dispatchmanagement',
            url: "/dt_dispatchmanagement/",
            sortName: "dm_id"
        });
        const editFormFields = ref({});
        const editFormOptions = ref([]);
        const searchFormFields = ref({ "dm_group": "", "dm_class": "", "dm_remark": "" });
        const searchFormOptions = ref([[{ "title": "调度组", "field": "dm_group", "type": "like" }, { "title": "调度类", "field": "dm_class", "type": "like" }, { "title": "备注", "field": "dm_remark", "type": "like" }]]);
        const columns = ref([{ field: 'dm_id', title: 'dm_id', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'dm_group', title: '调度组', type: 'string', width: 110, require: true, align: 'left', sort: true },
        { field: 'dm_assembly', title: '命名空间', type: 'string', width: 120, require: true, align: 'left' },
        { field: 'dm_class', title: '调度类', type: 'string', width: 120, require: true, align: 'left' },
        { field: 'dm_intervalsecond', title: '间隔时间(s)', type: 'int', sort: true, width: 90, require: true, align: 'left' },
        { field: 'dm_cron', title: 'Cron表达式', type: 'string', width: 90, require: true, align: 'left' },
        { field: 'dm_remark', title: '备注', type: 'string', width: 220, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
